library 'first-class-pipeline'

executeFreeleapsPipeline {
    serviceName = 'aml-services'
    environmentSlug = 'alpha'
    serviceGitBranch = 'dev'
    serviceGitRepo = "https://gitea.freeleaps.mathmast.com/freeleaps/aml-services.git"
    serviceGitRepoType = 'monorepo'
    serviceGitCredentialsId = 'aml-services-git-repo-credentials'
    executeMode = 'fully'
    commitMessageLintEnabled = false
    components = [
        [
            name: 'ailab',
            root: 'apps/ailab',
            language: 'python',
            dependenciesManager: 'pip',
            requirementsFile: 'requirements.txt',
            buildCacheEnabled: true,
            buildAgentImage: 'python:3.10-slim-bullseye',
            buildArtifacts: ['.'],
            lintEnabled: false,
            sastEnabled: false,
            imageRegistry: 'docker.io',
            imageRepository: 'freeleaps',
            imageName: 'ailab',
            imageBuilder: 'dind',
            dockerfilePath: 'Dockerfile',
            imageBuildRoot: '.',
            imageReleaseArchitectures: ['linux/amd64', 'linux/arm64/v8'],
            registryCredentialsId: 'freeleaps-devops-docker-hub-credentials',
            semanticReleaseEnabled: true
        ]
    ]
}